Subject: Re: CCL:rotate molecules along princliple moments of inertia

From: Nikolaus Stiefl <[email-masked]>
Date: Thu, 24 Oct 2002 10:17:23 +0200

Hi all,

we had a similar problem while implementing a new 3D molecular descriptor. What 
we do is at least fast to compute and I think rather straightforward. I am not 
sure whether or not this way is more rigorous but that's how we solve the 
problem:

[1] centre the coordinate matrix X according to its mass. 

[2] determine the inertia tensor of this coordinate matrix [3x3]. Decompose the 
inertia tensor using singular value decomposition (or principal component 
analysis). The eigenvectors define the new coordinate system.

[3] identify the determinant of the eigenvector matrix and if it is negative 
multiply the third eigenvector with -1 which changes the determinant to +1 
(this way one makes sure to obtain a right-handed coordinate system).

[4] Use this eigenvector matrix as rotation matrix for your coordinate matrix.

Hope this helps,

Nik

-- 
Nikolaus Stiefl
Chemometriks and Drug Design
University Wuerzburg
Dept. of Pharmacy
Am Hubland
D-97074 Wuerzburg
Germany
Phone: +49 - 931 8885473

Zitat von "Czerminski, Ryszard" <[email-masked]>:

> It seems that the method described in the Kabsch paper is what you are
> looking for:
> 
> C Wolfgang Kabsch "A solution for the best rotation
> C to relate two sets of vectors" Acta Cryst. (1976) A32, 922
> 
> R
> 
> Ryszard Czerminski   phone: (781)994-0479
> ArQule, Inc.         email:[email-masked]
> 19 Presidential Way  http://www.arqule.com
> Woburn, MA 01801     fax: (781)994-0679
> 
> 
> -----Original Message-----
> From: Xiang Lu [mailto:[email-masked]]
> Sent: Wednesday, October 23, 2002 11:15 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: CCL:rotate molecules along princliple moments of inertia
> 
> 
> 
> You raised a good point and there are indeed some technical details to go
> into to get things "right". While I am not so sure about the mathematics
> and
> physics involved, the procedures I used seem to work fine for my purpose:
> 
> [1] Pre-process xyz (n-by-3 matrix) to reset its orientation according to
>     the reference frame of the first nucleic acid base; or as defined by
> the
>     first 3 non-linear atoms. This will eliminate the ambiguity (e.g.,
>     upside-down) associated with arbitrary initial orientation.
> [2] get the co-variance matrix (real symmetric, 3-by-3).
> [3] solve the eigensystem (using e.g. jacobi transformation as in Numerical
>     Recipes), sort the eigenvalues, and normalize eigenvectors.
> [4] check to make sure the third eigenvector is the cross product of the
>     first two, otherwise reverse its sign. There are two more permutations
>     which can be used to get three orthogonal views.
> 
> Does anyone out there have a more rigorous way?
> 
> Xiang-Jun
> 
> -- 
> Dr. Xiang-Jun Lu            | Tel:   (732) 445 4619 (O)
> Department of Chemistry     |
> Rutgers University          | Fax:   (732) 445 5958
> 610 Taylor Road             | Email: [email-masked]
> Piscataway, NJ 08854-8087   | URL: http://rutchem.rutgers.edu/~xiangjun/
> 
> 
> >>>>> "Richard" == Richard Gillilan <[email-masked]> writes:
> 
> Richard> This same problem pops up when I have an ensemble of
> Richard> identical, but randomly-oriented bodies (proteins)
> Richard> in solution and I wish to transform them all back to 
> Richard> - the same - body coordinate system. You get to the body
> Richard> system by diagonalizing the inertial matix, but I suspect
> Richard> the problem is that eigenvalues can be returned by the 
> Richard> numerical routine in any order and with any sign. The 
> Richard> resulting body coordinate sytems then differ by
> Richard> permutations and sign changes of axes subject to the
> Richard> condition that the handedness must be preserved. I seem
> Richard> to remember this has something to do with permutation groups
> Richard> so that the required sign changes are related to the 
> Richard> parity of the permutation (swap axes and you must change a sign
> Richard> to preserve handedness). At any rate, is there a way of putting
> Richard> eigenvectors in some kind of canonical order with appropriate
> Richard> sign so that the diagonalization routines always land you in the
> Richard> same body system?
> 
> 
> Richard>  Richard Gillilan
> Richard>  MacCHESS
> 
> 
> 
> 
> 
> 
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> [email-masked]
> 
> 
> 
> 
> 
> 
>

---

From: Alexandre Suman de Araujo <[email-masked]>
Date: Thu, 24 Oct 2002 10:26:29 -0200

I developped a windows visual aplication using Kabsch algorithm... if it 
is interesting for you, send me a mail and I'll send you a copy. OK??

[]'s
Alexandre Suman de Araujo
[email-masked]
UIN: 6194055
IFSC - USP - São Carlos - Brasil

Czerminski, Ryszard wrote:

>into to get things "right". While I am not so sure about the mathematics and
>    the reference frame of the first nucleic acid base; or as defined by the
>Xiang-JunI